/***************************************************************************
                          kbltickerballoon  -  description
                             -------------------
    begin                : Fri Feb 20 2004
    copyright            : (C) 2004 by Konstantin Grusha
    email                : zoi@project7.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef KBLTICKERBALLOON_H
#define KBLTICKERBALLOON_H

#include <qwidget.h>

/**
Displays notifications in a balloon.

@author Konstantin Grusha
*/
class KBLTickerBalloon : public QWidget
{
Q_OBJECT
public:
    KBLTickerBalloon(const QString &text);
    ~KBLTickerBalloon();

	void setAnchor(const QPoint &anchor);

protected:
	virtual void updateMask();

private:
	QPoint mAnchor;

};

#endif
