/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                :   16 10:46:56 MSK 2004
    copyright            : (C) 2004 by Konstantin Grusha
    email                : zoi@project7.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <stdlib.h>

#include "kblticker.h"

static const char *description =
	I18N_NOOP("KBLTicker");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kblticker", I18N_NOOP("BlogLines Ticker"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2004, Konstantin Grusha", 0, 0, "zoi@project7.ru");
  aboutData.addAuthor("Konstantin Grusha", I18N_NOOP("Creator and maintainer"), "zoi@project7.ru");

  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  if (!KUniqueApplication::start()) // don't start two instances -- bail out peacefully
  {
    cerr << "One instance of " << description << " is already running" << endl;
    exit(0);
  }

  KBLTicker a;
  return a.exec();
  
}
